000010*@M	       MAIN
000020 IDENTIFICATION DIVISION.
000030 PROGRAM-ID. TBROWSE.
000040 DATE-COMPILED.
000050* ------------------------:  Sample BroseForFolder tester
000060*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000070 ENVIRONMENT DIVISION.
000080*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000090 CONFIGURATION SECTION.
000100 SOURCE-COMPUTER. IBM-PC.
000110 OBJECT-COMPUTER. IBM-PC.
000120*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000130 DATA DIVISION.
000140*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000150 WORKING-STORAGE SECTION.
000160 01  V--VERSION-LEVEL		    PIC 9(3) VALUE 17.
000170*
000180* ------------------------: Copy a main panel
000190	       COPY TBROWSEM.
000200*
000210* ------------------------: Copy the panel for the TBROWSEB
000220	       COPY TBROWSEB.
000230	       COPY WIN32API.
000240	       COPY GETFOLDR.
000250*
000260 01  DUMMY			    PIC S9(9).
000270 01  WS-EVENT-ID			    PIC S9(9).
000280* -====-
000290 01  WS-TIME.
000300	   05  WS-HH			    PIC 99.
000310	   05  WS-MM			    PIC 99.
000320	   05  WS-SS			    PIC 99.
000330*
000340*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000350 PROCEDURE DIVISION.
000360*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000370*
000380	   PERFORM 0101-INITIALIZE-GS.
000390*
000400* ------------------------: Display the test panel.
000410*
000420	   PERFORM WITH TEST AFTER
000430		 UNTIL TBROWSEB-EVENT-CLOSE-WINDOW
000440		 OR TBROWSEB-EVENT-CLOSE-AND-STOP
000450		 OR TBROWSEB-CANCEL
000460*
000470	     CALL 'GS' USING TBROWSEB-1
000480			     TBROWSEB-2
000490			     TBROWSEB-3
000500			     TBROWSEB-4
000510*
000520	     IF TBROWSEB-GETFOLDER
000530* ------------------------: Load the window handle of the window
000540* 			: that will own this dialog; (it's
000550* 			: passed back by GUI ScreenIO when you
000560* 			: display a panel).
000570	       MOVE TBROWSEB-HWND TO FOLDERBROWSE-HWNDOWNER
000580*
000590* ------------------------: Load the dialog title and text.
000600*
000610	       STRING 'Norcoms Browse For Folder Tester'
000620		   LOW-VALUE DELIMITED SIZE INTO FOLDERBROWSE-TITLE
000630*
000640* ------------------------: Load the beginning location for the
000650* 			: browse, or leave low-values to start
000660* 			: at the Desktop folder.
000670* 			: Upon return this will be replaced by
000680* 			: the selected folder, or low values
000690* 			: if the cancel button is clicked.
000700	       MOVE LOW-VALUE TO FOLDERBROWSE-FOLDERNAME
000710*
000720	       STRING FOLDERNAME DELIMITED '  '
000730		   INTO FOLDERBROWSE-FOLDERNAME
000740*
000750* ------------------------: Clear any previous options in
000760* 			: preparation to loading our requet
000770	       SET FOLDERBROWSE-INITIALIZE TO TRUE
000780*
000790* ------------------------: Now set the options we want...
000800	       IF TB-SHOW-NEWSTYLE-ON
000810		 SET FOLDERBROWSE-NEWDIALOGSTYLE TO TRUE
000820	       END-IF
000830	       IF TB-SHOW-COMPUTERS-ON
000840		 SET FOLDERBROWSE-FOR-COMPUTERS TO TRUE
000850	       END-IF
000860	       IF TB-SHOW-PRINTERS-ON
000870		 SET FOLDERBROWSE-FOR-PRINTERS TO TRUE
000880	       END-IF
000890	       IF TB-SHOW-EDITBOX-ON
000900		 SET FOLDERBROWSE-EDITBOX TO TRUE
000910	       END-IF
000920	       IF TB-SHOW-FILES-ON
000930		 SET FOLDERBROWSE-SHOW-FILES TO TRUE
000940	       END-IF
000950	       IF TB-SHOW-SHARES-ON
000960		 SET FOLDERBROWSE-INCLUDE-SHARES TO TRUE
000970	       END-IF
000980	       IF TB-SHOW-ONLY-FS-DIRS-ON
000990		 SET FOLDERBROWSE-SHOW-ONLY-FS-DIRS TO TRUE
001000	       END-IF
001010	       IF TB-SHOW-NO-NEW-FOLDER-ON
001020		 SET FOLDERBROWSE-NO-NEW-FOLDER TO TRUE
001030	       END-IF
001040*
001050* ------------------------: Call the GUI ScreenIO API routine:
001060*
001070	       SET FUNC-BROWSEFORFOLDER TO TRUE
001080	       CALL 'GSWINAPI' USING WIN32API-PARMS
001090				     FOLDERBROWSE-DATA
001100				     FOLDERBROWSE-TITLE
001110				     FOLDERBROWSE-FOLDERNAME
001120				     DUMMY
001130				     DUMMY
001140				     DUMMY
001150*
001160	       IF WIN32API-FAILED
001170		 MOVE 'FAILED' TO FOLDERNAME
001180	       ELSE
001190		 MOVE FOLDERBROWSE-FOLDERNAME TO FOLDERNAME
001200	       END-IF
001210*
001220	     END-IF
001230*
001240	   END-PERFORM.
001250*
001260* ------------------------: Close the main before doing a STOP RUN
001270*
001280	   SET TBROWSEM-DO-CLOSE TO TRUE.
001290	   CALL 'GS' USING TBROWSEM-1
001300			   TBROWSEM-2
001310			   TBROWSEM-3
001320			   TBROWSEM-4.
001330	   STOP RUN.
001340*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
001350 0100-GS-UTILITY SECTION.
001360*
001370 0101-INITIALIZE-GS.
001380* 			:---------------------------------------
001390* ------------------------: Open the application window (the
001400* 			: container for this application)
001410* 			:---------------------------------------
001420*
001430	   CALL 'GS' USING TBROWSEM-1
001440			   TBROWSEM-2
001450			   TBROWSEM-3
001460			   TBROWSEM-4.
